Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::DisplaySignals Class Reference

Abstract base class that implements the virtual signal handlers for Gdk::Display. More...

`#include <xfc/gdk/displaysignals.hh>`

Inheritance diagram for Xfc::Gdk::DisplaySignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_closed (bool is_error)
    Called when the display is closed.

## Protected Member Functions

Constructors

- DisplaySignals (Display *display)
    Constructs a new DisplaySignals object.
- virtual ~DisplaySignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gdk::Display.

## Constructor & Destructor Documentation

Xfc::Gdk::DisplaySignals::DisplaySignals | ( | Display * | display | ) | `[protected]`

Constructs a new DisplaySignals object.

Parameters:

  | display | A Display object inheriting the DisplaySignals implementation.

## Member Function Documentation

virtual void Xfc::Gdk::DisplaySignals::on_closed | ( | bool | is_error | ) | `[virtual]`

Called when the display is closed.

Parameters:

  | is_error | Is true if the display was closed due to an error.

The documentation for this class was generated from the following file:

- displaysignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3